Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450907 - s2io tx_fifo_*, rx_ring_* requires reboot
Summary: s2io tx_fifo_*, rx_ring_* requires reboot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Michal Schmidt
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 17:55 UTC by Andrew Hecox
Modified: 2009-03-24 03:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-24 03:07:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Hecox 2008-06-11 17:55:26 UTC
s2io's tx_fifo_{num,len} options require a reboot to take effect. Changing via
modprobe on a running system leads to a loss in networking for that device. This
is not the case for other options provided by the s2io driver.

sudo rmmod s2io
sudo modprobe s2io tx_fifo_num=4 tx_fifo_len=2048
dmesg # no tx fifo's created

If options entered into /etc/modprobe.conf, they take affect, but only after reboot.

For testing, it would be nice to be able to change these on the fly. Not feature
if it's a problem that they aren't or a feature request to have them created.

running 2.6.18-92.1.1 on x86_64.

Comment 1 Andrew Hecox 2008-06-11 18:17:40 UTC
quick note: there should be a intr_type=2 in that modprobe line as well,
although the results are the same.

-Ah

Comment 2 Michal Schmidt 2008-06-18 15:20:29 UTC
Is it possible to test it with a current vanilla kernel or with current Fedora?
If it's affected too, I'll notify upstream. To test it myself I'd need the
hardware first.

Comment 3 Andrew Hecox 2008-06-18 15:35:17 UTC
I've been wanting to set up a Fedora test in our lab, so I'll give that a shot
and let you know how it goes. It may take a few days, just a heads up.


Comment 4 Andrew Hecox 2009-03-24 03:07:53 UTC
this appears fixed in 5.3, so closing as CURRENTRELEASE. Thanks.


Note You need to log in before you can comment on or make changes to this bug.